.se Support Files
.vm 1
.vi 41
.da 19 October, 1993
.ss fsuucp.cfg configuration file ([basedir]\fsuucp.cfg) 
 
This file controls execution of FSUUCP. Lines consist of a control variable
and a value, seperated by whitespace (space or tab). This file will be 
created and set up by the installer.  After creating this file, the 
installer will place it in the base directory, along with the rest of the 
executables.

YOU MUST HAVE AN ENVIRONMENT VARIABLE, "FSUUCP," WHICH CONTAINS THE
DIRECTORY WHICH CONTAINS THIS FILE.

Following is a list of the fields in the FSUUCP.CFG file. Most are
mandatory, and some are completed by the installer. They all may,
of course, be changed at any time.

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: sysname

Use: The full domainized name of your site. If you do not have a domain name, 
     the psuedo-domain .UUCP may be used, though it is discouraged, as most
     mailers will not understand it. It is highly recommended that you
     obtain a domain name. The .us domain set is free for the asking.

Example: sysname vogonsys.space.big.com
         sysname vogonsys.UUCP

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: logname

Use: The standard UUCP site name. This is the name that other machines 
     recognize your machine by.

Example: logname vogonsys

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: username

Use: The name of the user currently using the FSUUCP session. This determines 
     which mailbox to use, as well as which return paths are returned by mail 
     and news. Note that the value of the environment variable USERNAME will 
     override this setting.

Example: user zaphod

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: fullname

Use: The string that is printed in both mail and news headers to identify a 
     user. Note that the value of the environment variable FULLNAME will 
     override this setting.

Example: name Zaphod Beebelbrox

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: spool

Use: This is the base path for the spool directory. The spool directory holds
     the data and control files for mail and news that are waiting for
     transfer, as well as incoming data. It is recommended that the spool
     directory be located on a disk with plenty of space and decent response
     time.

Example: spool c:\fsuucp\spool

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: logfile

Use: This is the name for the UUCP logging file. Note that this field
     contains a complete file name, and not just a directory as in other
     fields. FSUUCP generates log files that are even uglier than UNIX(tm) 
     log files, but there is useful information in them for debugging purposes 
     and feed testing. You will want to watch the size of this file and prune 
     it occasionally.

Example: logfile c:\fsuucp\spool\uucp\logfile

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: organization

Use: This is the organization field which is printed in Usenet message headers

Example: organization Dr. Ho's Secret Laboratory and Daycare Centre

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: smarthost

Use: This is a valid UUCP bang-path to your nearest or most trusted smarthost.
     At this time, FSUUCP does not support domainized mailing by itself. If
     a mail path is generated that FSUUCP does not understand, it will punt
     the message off to this site, hoping it can make sense of it. Be sure 
     that the first name in the smarthost field is a system to which you 
     connect directly, and that it is mentioned in your SYSTEMS file.

     In most cases, your smarthost will be the sole site that you talk to.

Example: smarthost netcom

     In the case where the site you are talkin to cannot act as a smarthost,
     you can route it through them.

Example: smarthost foo!bar!ucbvax

In this example, mail to "spock@enterprise.ufp.com" would be mailed as
"foo!bar!ucbvax!spock@enterprise.ufp.com", parsing from left to right.
(That is, it would be sent to "foo", then to "bar", then to "ucbvax" who
would be expected to be able to get it to user "spock" at "enterprise.ufp.com).

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: libdir

Use: This is the base path for the LIB directory. Within LIB are the control
     directories for UUCP and NEWS.

Example: libdir c:\fsuucp\lib

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: home

Use: This is the directory under which each user will have a home directory
     for storing a mailrc, sig, and newsrc file, as well as any system
     generated files specific to the user.

Example: home c:\fsuucp\home

NOTE: There has been confusion as to where user directories must be created. 
      The answer is under home, and only under home. You do not need to create 
      user directories in spool/mail. Doing so will, in fact, prohibit mail 
      from being delivered.

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: pubdir

Use: This is the path name for the directory which holds all files that are
     neither mail nor news.  This path is being implemented and reserved 
     for future use.

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: news

Use: This is the base path for the Usenet news directory. All newsgroup
     storage areas are based off of this path. The installer will also create 
     [news]\outgoing, for outgoing batch files.

Example: news c:\fsuucp\news

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: editor

Use: This is the switch for determining which editor to use. FSUUCP has an
     internal line editor, or allows you to specify your own. If you
     specify the line editor, you may still enter the visual editor with
     the proper escape code from within the line editor.

Example: editor line
Example: editor visual

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: visual

Use: This specifies an executable file name for visual editing. This file
     will be called if the EDITOR field is set to "visual," or you shell
     to a visual editor from within the line editor. The editor specified
     must be able to accept a file name as a sole argument, and not
     change the name of the final edited file.

Example: visual c:\fsuucp\bin\vi.exe

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: ramdisk

Use: If this optional field is placed in the fsuucp.cfg file, then all
     temporary storage will use the root directory of the drive specified.
     If no ramdisk is used, then temporary storage will use the path
     [spool]\uucp\tmp for all temporary files.

Example: ramdisk e

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: serveralias

Use: This optional field allows a remote machine to store files with
     server-dependent drive specifications in them. This is used by
     batcher.exe to correctly access news articles for batching.
     For example, if a network is running such that the remote machine 
     references the server's c: drive as f:, this field allows batcher to 
     run using the correct reference (c:).

     In this example, any references in a batch file in [news]/outgoing
     for any drive letter will be changed to c. This unconditional
     mapping allows multiple workstations to map the server's news spool
     to any letter, and allow the server to correctly access the articles.

Example : serveralias c

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: attribution

Use: This optional field allows you to create the format for the "attribution"
     line in news messages. This line will be prepended at the top of all
     outgoing news articles which are followups of other articles. This
     line comes before quoted text.

Example: attribution A Wise Man Once Said...

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: yousaid

Use: This optional field allows you to create the format for the "yousaid" 
     line in mail messages. This line will be prepended at the top of all 
     outgoing mail which is generated as a reply to another mail message. 
     This line comes before quoted text.

Example: yousaid In Your Last Mail, You Told Me...

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: debuglevel

Use: The level of debugging UUCICO should use as a default. The non-specified
     default is 3.

Example: debuglevel 3

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: gradechar

Use: The character UUCICO will use to specify grade in the initialization.
     Some systems use "p" and some use "v". You may want to change this
     depending on your remote site's preference.

Example: gradechar p

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: callgrade

Use: The grade at which to place a UUCICO call if no -g option is specified.
     The non-specified default is Z, which means that all jobs will be
     processed.

Example: callgrade Z

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: mailgrade

Use: the grade at which to queue mail. The non-specified default is D

Example: mailgrade D

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: newsgrade

Use: the grade at which to queue news batches. The non-specified default is N

Example: newsgrade N

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: ulimit

Use: The maximum number of bytes we'll accept in any one transfer session.

Example: ulimit 50000000

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=

Field: maxlimit

Use: The maximum file size we will accept ever. If the remote UUCP understands
     file size limits, any file of this size or larger will be rejected.

Example: maxlimit 9000000
