.se Support Files
.vm 1
.vi 41
.da 19 October, 1993
.ss modem control file ([libdir]\modem\*.mdm) 
.sa uucico

The .mdm configuration file controls specific modem information for each
uucico session. The "dialer" line in the systems file entry specifies which
.mdm file to load.

The first field is the literal identifier string, the second and further fields are arguments that 

the first field will use.

n		- integer number
<text>		- string identifier
<<text>>	- optional string identifier

port		n
membase		n
irq		n
16550trigger	n
portspeed	n <<lock>>
driver		<driver_type>
tcd		n
tlogin		n
tdata		n
init		<init_string>
shutdown	<shutdown_string>
dialer		<dialer_type>
progress	<identifier> <action>

Descriptions

port		the physical serial com port to use. 1 = COM1, etc.

membase		Optional- the memory base to use in hex format. COM1 is 2E8, 
		for example

irq		Optional- the irq to use in hex format. COM1 is irq 4, for 
		example

16550trigger	Optional- the trigger level to use should a 16550 UART be 
		detected. Valid values are 1, 4, 8, and 14 characters. An 
		invalid entry will disable the FIFO, so "16550trigger disable" 
		is recommended to turn off the FIFO buffer.

portspeed	the initial speed to talk to the port. If the string literal 
		"lock" follows the port speed, no rate adaption will be 
		performed. Without "lock," if no response is detected from the 
		port, the portspeed will be cycled down. For direct connections,
		the "lock" literal is highly recommended.

driver		supports one of INTERNAL or FOSSIL for serial port access

tcd		timeout (in seconds) for a wait until carrier detect. 
		Meaningless in a direct connection.

tlogin		timeout (in seconds) for a wait until login once connection is 
		made

tdata		timeout (in seconds) for a wait for data during the actual 
		protocol

init		string to send down the serial line at initialization of the 
		program. In a modem situation, this is usually an AT string to 
		initialize the modem

shutdown	string to send down the serial line at shutdown of the program.
		In a modem situation, this is usually an AT string to return 
		the modem to an original state 

dialer		supports one of HAYES or DIRECT. HAYES mode will cycle upon 
		issuance of the dialing command (found in the systems file) 
		and wait for a CONNECT situation or timeout. DIRECT will 
		bypass this functionality. With the hayes dialer, a CONNECT
		situation is considered CD asserted high. If your modem has
		CDC track DTR, the proper command to disable this function
		should be issued in the init string. UUCICO.EXE will make an
		attempt to detect this state.
